Bug 132657 - Compiles fine with gcc version 3.2.2 on RH9, not on FC2
Compiles fine with gcc version 3.2.2 on RH9, not on FC2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 12:35 EDT by Ted Kaczmarek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 08:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2004-09-15 12:35:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
ftp://ftp.freeradius.org/pub/radius/pam_radius-1.3.16.tar will build
fine on Redhat 9, will not build on Fedora Core 2.

Version-Release number of selected component (if applicable):
gcc-3.3.3-7

How reproducible:
Always

Steps to Reproduce:
1.On FC2 attempt make or rpmbuild of pam_radius-1.3.16.tar
2.
3.
    

Actual Results:  pam_radius_auth.c:1355: error: syntax error before
'*' token
pam_radius_auth.c: In function `pam_sm_chauthtok':
pam_radius_auth.c:1362: error: `PAM_AUTHTOK_ERR' undeclared (first use
in this function)
pam_radius_auth.c:1371: error: `argc' undeclared (first use in this
function)
pam_radius_auth.c:1371: error: `argv' undeclared (first use in this
function)
pam_radius_auth.c:1374: error: `pamh' undeclared (first use in this
function)
pam_radius_auth.c:1375: error: `PAM_SUCCESS' undeclared (first use in
this function)
pam_radius_auth.c:1380: error: `PAM_USER_UNKNOWN' undeclared (first
use in this function)
pam_radius_auth.c:1395: error: `PAM_SERVICE' undeclared (first use in
this function)
pam_radius_auth.c:1404: error: `PAM_OLDAUTHTOK' undeclared (first use
in this function)
pam_radius_auth.c:1409: error: `PAM_AUTHTOK' undeclared (first use in
this function)
pam_radius_auth.c:1414: error: `flags' undeclared (first use in this
function)
pam_radius_auth.c:1414: error: `PAM_PRELIM_CHECK' undeclared (first
use in this function)
pam_radius_auth.c:1416: error: `PAM_PROMPT_ECHO_OFF' undeclared (first
use in this function)
pam_radius_auth.c:1442: error: `PAM_PERM_DENIED' undeclared (first use
in this function)
pam_radius_auth.c:1467: error: `PAM_ERROR_MSG' undeclared (first use
in this function)
pam_radius_auth.c:1519: error: `PAM_UPDATE_AUTHTOK' undeclared (first
use in this function)
pam_radius_auth.c: At top level:
pam_radius_auth.c:1583: error: syntax error before "int"
pam_radius_auth.c:1584: error: syntax error before '*' token
pam_radius_auth.c: In function `pam_sm_acct_mgmt':
pam_radius_auth.c:1587: error: `PAM_SUCCESS' undeclared (first use in
this function)
make: *** [pam_radius_auth.o] Error 1


Expected Results:  Build completes.

Additional info:

I am in a little deep for my skillset so if this is something stupid I
apologize ahead of time. But from a user perspective it builds fine on
RH9 why not on FC2.
Comment 1 Jakub Jelinek 2004-10-05 07:48:43 EDT
That doesn't look like a GCC bug, rather something in the headers
that code is using.
Though I can compile it just fine on FC3t2 (uses ld -Bshareable
unless Makefile is tweaked, which is a big no no, but otherwise it
compiles).
If you attach preprocessed pam_radius_auth.c
(rerun gcc command to compile it with -save-temps and attach pam_radius_auth.i),
we might tell you what's wrong.
But it certainly has nothing to do with GCC.
Comment 2 Ted Kaczmarek 2004-10-05 08:15:03 EDT
Thank you so much, you got me thinking, and I tried running gcc
manually and it was looking for pam_modules.h.

Pints on me :-)

Note You need to log in before you can comment on or make changes to this bug.